Bug 438354 - Review Request: python-decorator - Module to simplify usage of decorators
Review Request: python-decorator - Module to simplify usage of decorators
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
Blocks: 438433
  Show dependency treegraph
Reported: 2008-03-20 11:04 EDT by Toshio Ernie Kuratomi
Modified: 2008-04-07 20:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 20:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2008-03-20 11:04:08 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-decorator.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-decorator-2.2.0-1.el5.src.rpm
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.
Comment 1 Tim Lauridsen 2008-03-21 05:47:55 EDT
I will do this review.
Comment 2 Tim Lauridsen 2008-03-21 06:00:36 EDT
rpmlint is silent on both RPM & SRPM.

* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{?dist} is used
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* not a GUI app
* no -devel sub-package necessary
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* no locale data
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* %defattrs present ( %defattr(-, root, root, -))
* %clean present
* %doc files do not affect runtime

* package should build on i386
? package should build in mock
 - I haven't tried, but I don't think it'll be a problem

Comment 3 Toshio Ernie Kuratomi 2008-04-06 01:57:28 EDT
New Package CVS Request
Package Name: python-decorator
Short Description: Module to simplify usage of decorators
Owners: toshio
Branches: F-8 EL-5 devel
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-07 18:06:56 EDT
cvs done.
Comment 5 Toshio Ernie Kuratomi 2008-04-07 20:29:41 EDT
Committed and built.

Note You need to log in before you can comment on or make changes to this bug.